Error: User process limit too low for gateway user on some versions of the API Gateway and API Developer Portal appliance

book

Article ID: 4178

calendar_today

Updated On:

Products

CA API Gateway

Issue/Introduction

One possible symptom is error messages like the following:
java.lang.OutOfMemoryError: unable to create new native thread
Failed to create a thread

Cause

To determine whether a specific node is impacted, please do the following:

1.  Log in to the node as root.
2.  Run "su - gateway".
3.  Run "ulimit -u"
-  If the the output is "31768", the node is not impacted.  No actions are needed.
-  If the output is "1024" or "5120", the node is impacted.  Correct the file limit by following the Remediation step below.

Environment

Affected Products and VersionsThe following products are potentially impacted:CA API Gateway, versions 7.x -- 8.2.xCA API Developer Portal, versions 2.6 -- 3.0

Resolution

Apply the most recent Platform Update file to the impacted node which corresponds to your Gateway build: CA API Management Solutions & Patches

NOTE: For Gateway build info on Portal systems, login to the Gateway via ssh as ssgconfig to get the Gateway build number.